from __future__ import unicode_literals

SECRET_KEY = "{{ secret_key }}"
NEVERCACHE_KEY = "{{ nevercache_key }}"
ALLOWED_HOSTS = [ '127.0.0.1', 'localhost',
                {% for ip in ansible_all_ipv4_addresses %}'{{ip}}',{% endfor %}
                {% for domain in domains %}'{{ domain }}',{% endfor %}
                ]

CORS_ORIGIN_WHITELIST = ALLOWED_HOSTS[:] + ['localhost:3000']

STATIC_URL = '/boxdashboard/static/'
STATIC_ROOT = "{{ www_dashboard_static }}"

SECURE_PROXY_SSL_HEADER = ("HTTP_X_FORWARDED_PROTOCOL", "https")

CACHE_MIDDLEWARE_SECONDS = 60

CACHE_MIDDLEWARE_KEY_PREFIX = "{{ proj_name }}"

SESSION_ENGINE = "django.contrib.sessions.backends.cache"
